Bug 182838 - audio/sox missing dependency on audio/pulseaudio
Summary: audio/sox missing dependency on audio/pulseaudio
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-08 19:50 UTC by Pawel Pekala
Modified: 2013-12-14 11:00 UTC (History)
0 users

See Also:


Attachments
sox.diff (5.64 KB, patch)
2013-11-29 23:02 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2013-10-08 19:50:00 UTC
configure script looks for pulseaudio on the system:

checking pulse/simple.h usability... yes
checking pulse/simple.h presence... yes
checking for pulse/simple.h... yes
checking for pa_simple_new in -lpulse... yes

and sox links to it:

[corn:ports/audio/sox]> ldd /usr/local/bin/sox | grep pulse
        libpulse-simple.so.0 => /usr/local/lib/libpulse-simple.so.0 (0x803410000)
        libpulse.so.0 => /usr/local/lib/libpulse.so.0 (0x803614000)
        libpulsecommon-0.9.23.so => /usr/local/lib/libpulsecommon-0.9.23.so (0x803857000)


this is not recorded in package's deps:

[corn:ports/audio/sox]> pkg info -d sox | grep pulse
[corn:ports/audio/sox]>
Comment 1 Edwin Groothuis freebsd_committer 2013-10-08 19:50:07 UTC
Maintainer of audio/sox,

Please note that PR ports/182838 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182838

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-10-08 19:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Pawel Pekala freebsd_committer 2013-10-08 20:35:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

Mine.
Comment 4 Pawel Pekala 2013-11-29 23:02:46 UTC
Proposed fix, adds PULSEAUDIO option - default to off.

While I'm here fix few things:
- Don't reset default options by adding LAME option and not
  setting it as only option
- Use option helpers
- Convert to new LIB_DEPENDS standard

-- 
pozdrawiam / with regards
Pawe³ Pêkala
Comment 5 dfilter service freebsd_committer 2013-12-14 10:52:49 UTC
Author: pawel
Date: Sat Dec 14 10:52:42 2013
New Revision: 336436
URL: http://svnweb.freebsd.org/changeset/ports/336436

Log:
  - Add option PULSEADUIO default to off, package links to
    libpulse when availble on system
  - Don't reset options to just LAME when not building
    on package server
  - Convert to new LID_DEPENDS format, use option helpers
  
  PR:		ports/182838
  Submitted by:	me
  Approved by:	maintainer timeout

Modified:
  head/audio/sox/Makefile

Modified: head/audio/sox/Makefile
==============================================================================
--- head/audio/sox/Makefile	Sat Dec 14 10:51:26 2013	(r336435)
+++ head/audio/sox/Makefile	Sat Dec 14 10:52:42 2013	(r336436)
@@ -3,6 +3,7 @@
 
 PORTNAME=	sox
 PORTVERSION=	14.4.1
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF
 
@@ -20,11 +21,11 @@ USE_LDCONFIG=	yes
 USE_AUTOTOOLS=	aclocal autoconf automake libltdl
 
 OPTIONS_DEFINE=	ALSA AO AMRNB AMRWB FFMPEG FLAC GSM ID3TAG LADSPA LAME \
-		MAD PNG SNDFILE VORBIS WAVPACK
+		MAD PNG PULSEAUDIO SNDFILE VORBIS WAVPACK
 OPTIONS_DEFAULT=	AO FFMPEG FLAC GSM ID3TAG MAD PNG SNDFILE VORBIS
 # Default LAME to off for packages so we don't end up RESTRICTED
 .if !defined(PACKAGE_BUILDING)
-OPTIONS_DEFAULT=	LAME
+OPTIONS_DEFAULT+=	LAME
 .endif
 
 AMRNB_DESC=	AMR Speech Codec (Narrowband)
@@ -32,124 +33,70 @@ AMRWB_DESC=	AMR Speech Codec (Wideband)
 GSM_DESC=	Use libgsm from ports (else use bundled lib)
 PNG_DESC=	PNG spectrogram creation
 
-.include <bsd.port.options.mk>
-
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
 CONFIGURE_ARGS+=	--with-pkgconfigdir="${PREFIX}/libdata/pkgconfig"
-CONFIGURE_ARGS+=	--with-distro="${CONFIGURE_TARGET} ${PKGNAME}"
+CONFIGURE_ARGS+=	--with-distro="${CONFIGURE_TARGET} ${PKGNAME}" \
+			--with-gsm
 
-.if ${PORT_OPTIONS:MALSA}
-LIB_DEPENDS+=		libasound.so:${PORTSDIR}/audio/alsa-lib
-RUN_DEPENDS+=		${LOCALBASE}/lib/alsa-lib/libasound_module_pcm_oss.so:${PORTSDIR}/audio/alsa-plugins
-CONFIGURE_ARGS+=	--with-alsa
-.else
-CONFIGURE_ARGS+=	--without-alsa
-.endif
+ALSA_CONFIGURE_WITH=	alsa
+ALSA_LIB_DEPENDS=	libasound.so:${PORTSDIR}/audio/alsa-lib
+ALSA_RUN_DEPENDS=	${LOCALBASE}/lib/alsa-lib/libasound_module_pcm_oss.so:${PORTSDIR}/audio/alsa-plugins
 
-.if ${PORT_OPTIONS:MAO}
-CONFIGURE_ARGS+=	--with-ao
-LIB_DEPENDS+=		libao.so:${PORTSDIR}/audio/libao
-.else
-CONFIGURE_ARGS+=	--without-ao
-.endif
+AO_CONFIGURE_WITH=	ao
+AO_LIB_DEPENDS=		libao.so:${PORTSDIR}/audio/libao
 
-.if ${PORT_OPTIONS:MAMRNB}
-CONFIGURE_ARGS+=	--with-amrnb
-LIB_DEPENDS+=		libamrnb.so:${PORTSDIR}/audio/libamrnb
-.else
-CONFIGURE_ARGS+=	--without-amrnb
-.endif
+AMRNB_CONFIGURE_WITH=	amrnb
+AMRNB_LIB_DEPENDS=	libamrnb.so:${PORTSDIR}/audio/libamrnb
 
-.if ${PORT_OPTIONS:MAMRWB}
-CONFIGURE_ARGS+=	--with-amrwb
-LIB_DEPENDS+=		libamrwb.so:${PORTSDIR}/audio/libamrwb
-.else
-CONFIGURE_ARGS+=	--without-amrwb
-.endif
+AMRWB_CONFIGURE_WITH=	amrwb
+AMRWB_LIB_DEPENDS=	libamrwb.so:${PORTSDIR}/audio/libamrwb
 
-.if ${PORT_OPTIONS:MFFMPEG}
-CONFIGURE_ARGS+=	--with-ffmpeg
-LIB_DEPENDS+=		libavcodec.so:${PORTSDIR}/multimedia/ffmpeg
-.else
-CONFIGURE_ARGS+=	--without-ffmpeg
-.endif
+FFMPEG_CONFIGURE_WITH=	ffmpeg
+FFMPEG_LIB_DEPENDS=	libavcodec.so:${PORTSDIR}/multimedia/ffmpeg
 
-.if ${PORT_OPTIONS:MVORBIS}
-CONFIGURE_ARGS+=	--with-oggvorbis
-LIB_DEPENDS+=		libvorbis.so:${PORTSDIR}/audio/libvorbis
-.else
-CONFIGURE_ARGS+=	--without-oggvorbis
-.endif
+VORBIS_CONFIGURE_WITH=	oggvorbis
+VORBIS_LIB_DEPENDS=	libvorbis.so:${PORTSDIR}/audio/libvorbis
 
-.if ${PORT_OPTIONS:MSNDFILE}
-CONFIGURE_ARGS+=	--with-sndfile
-LIB_DEPENDS+=		libsndfile.so:${PORTSDIR}/audio/libsndfile
-.else
-CONFIGURE_ARGS+=	--without-sndfile
-.endif
+SNDFILE_CONFIGURE_WITH=	sndfile
+SNDFILE_LIB_DEPENDS=	libsndfile.so:${PORTSDIR}/audio/libsndfile
 
-.if ${PORT_OPTIONS:MLADSPA}
-CONFIGURE_ARGS+=	--with-ladspa
-RUN_DEPENDS+=		${LOCALBASE}/lib/ladspa/filter.so:${PORTSDIR}/audio/ladspa
-BUILD_DEPENDS+=		${LOCALBASE}/lib/ladspa/filter.so:${PORTSDIR}/audio/ladspa
-.else
-CONFIGURE_ARGS+=	--without-ladspa
-.endif
+LADSPA_CONFIGURE_WITH=	ladspa
+LADSPA_RUN_DEPENDS=	${LOCALBASE}/lib/ladspa/filter.so:${PORTSDIR}/audio/ladspa
+LADSPA_BUILD_DEPENDS=	${LOCALBASE}/lib/ladspa/filter.so:${PORTSDIR}/audio/ladspa
 
-.if ${PORT_OPTIONS:MLAME}
-CONFIGURE_ARGS+=	--with-lame
-LIB_DEPENDS+=		libmp3lame.so:${PORTSDIR}/audio/lame
-.else
-CONFIGURE_ARGS+=	--without-lame
-.endif
+LAME_CONFIGURE_WITH=	lame
+LAME_LIB_DEPENDS=	libmp3lame.so:${PORTSDIR}/audio/lame
 
-.if ${PORT_OPTIONS:MFLAC}
-CONFIGURE_ARGS+=	--with-flac
-LIB_DEPENDS+=		libFLAC.so:${PORTSDIR}/audio/flac
-.else
-CONFIGURE_ARGS+=	--without-flac
-.endif
+FLAC_CONFIGURE_WITH=	flac
+FLAC_LIB_DEPENDS=	libFLAC.so:${PORTSDIR}/audio/flac
 
-.if ${PORT_OPTIONS:MMAD}
-CONFIGURE_ARGS+=	--with-mad
-LIB_DEPENDS+=		libmad.so:${PORTSDIR}/audio/libmad
-.else
-CONFIGURE_ARGS+=	--without-mad
-.endif
+MAD_CONFIGURE_WITH=	mad
+MAD_LIB_DEPENDS=	libmad.so:${PORTSDIR}/audio/libmad
 
-.if ${PORT_OPTIONS:MPNG}
-CONFIGURE_ARGS+=	--with-png
-LIB_DEPENDS+=		libpng15.so:${PORTSDIR}/graphics/png
-.else
-CONFIGURE_ARGS+=	--without-png
-.endif
+PNG_CONFIGURE_WITH=	png
+PNG_LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png
+
+PULSEAUDIO_CONFIGURE_WITH=	pulseaudio
+PULSEAUDIO_LIB_DEPENDS=	libpulse.so:${PORTSDIR}/audio/pulseaudio
+
+GSM_LIB_DEPENDS=	libgsm.so:${PORTSDIR}/audio/gsm
+
+ID3TAG_CONFIGURE_WITH=	id3tag
+ID3TAG_LIB_DEPENDS=	libid3tag.so:${PORTSDIR}/audio/libid3tag
+
+WAVPACK_CONFIGURE_WITH=	wavpack
+WAVPACK_LIB_DEPENDS=	libwavpack.so:${PORTSDIR}/audio/wavpack
 
-.if ${PORT_OPTIONS:MGSM}
-CONFIGURE_ARGS+=	--with-gsm
-LIB_DEPENDS+=		libgsm.so:${PORTSDIR}/audio/gsm
-.else
-CONFIGURE_ARGS+=	--with-gsm
+.include <bsd.port.options.mk>
+
+.if ! ${PORT_OPTIONS:MGSM}
 # We cannot ask for gsm to be enabled without it trying to use external gsm,
 # so force the autoconf checks to fail
 CONFIGURE_ENV+=	ac_cv_header_gsm_h=no ac_cv_header_gsm_gsm_h=no \
 		ac_cv_lib_gsm_gsm_create=no
 .endif
 
-.if ${PORT_OPTIONS:MID3TAG}
-CONFIGURE_ARGS+=	--with-id3tag
-LIB_DEPENDS+=		libid3tag.so:${PORTSDIR}/audio/libid3tag
-.else
-CONFIGURE_ARGS+=	--without-id3tag
-.endif
-
-.if ${PORT_OPTIONS:MWAVPACK}
-CONFIGURE_ARGS+=	--with-wavpack
-LIB_DEPENDS+=		libwavpack.so:${PORTSDIR}/audio/wavpack
-.else
-CONFIGURE_ARGS+=	--without-wavpack
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -e 's/ CODEC_ID/ AV_CODEC_ID/g' \
 		-e 's/ CodecID/ AVCodecID/g' \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2013-12-14 10:57:23 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!